package com.picovr.picovrlib.hummingbird;

import com.picovr.picovrlib.hummingbird.IHBAIDLServiceCallback;

interface HummingBirdAIDLService {  
    float[] getHBSensorState();  
    int[] getHBKeyEvent();
    int getConnectionState();
    //int getScanState();
    void resetHBSensor();
    String getConnectDeviceMac();
    void scanBleDevice(boolean enable);
    int getServicePID();
    void connectHummingBird(String macAddress);
    void disconnectHummingBird();
    float[] getAngularVelocity();
    float[] getAcceleration();
    void setDisconnectManuallyFlag(boolean isManually);
    
    void setBinPath(String Apath,boolean isAsset);
    
    boolean startUpgrade();
    boolean stopUpgrade();
    String getBLEImageType();
    long getBLEVersion();
    String getFileImageType();
    long getFileVersion();
    int getScanState();
    void registerCallback(IHBAIDLServiceCallback cb);
    void unregisterCallback(IHBAIDLServiceCallback cb);
    int getHbHandness();
    String getHBServiceVersion();
    int getHBServiceVersionCode();
    void setPlatformType(int platformType);
    void setPlatformAbility(int trackingMode, int trackingUse);
    
    int getTriggerKeyEvent();
    int getTemperature();
    int getDeviceType();
    void setBootReconnect();
    String getControllerVersion();
    void setcalibrationIsEnable(boolean isEnable);
    String getHummingBird2SN();
    boolean isEnbleTrigger();
    void setIsEnbleHomeKey(boolean isEnble);

    int getHbHandednessBySharedPref();
    void setHbHandednessInSharedPref(int hand);
    void setIsEnbleBackKey(boolean isEnble);
    void setIsEnbleConfirmKey(boolean isEnble);
    void setIsEnbleTriggerKey(boolean isEnble);
    void setIsEnbleVolumeUpKey(boolean isEnble);
    void setIsEnbleVolumeDownKey(boolean isEnble);
    void setEnbleTouchPadKey(boolean isEnble);

}